net.sf.jasperreports.engine

## Class JRWrappingSvgRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractRenderer
  - - net.sf.jasperreports.engine.JRAbstractSvgRenderer
    - - net.sf.jasperreports.engine.JRWrappingSvgRenderer

- All Implemented Interfaces:
    java.io.Serializable, JRRenderable, Renderable

      public class JRWrappingSvgRenderer
      extends JRAbstractSvgRenderer

  Version:
    $Id: JRWrappingSvgRenderer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRWrappingSvgRenderer(JRRenderable renderer, java.awt.geom.Dimension2D elementDimension, java.awt.Color backcolor)` Deprecated. Replaced by `JRWrappingSvgRenderer(Renderable, Dimension2D, Color)`.
    `JRWrappingSvgRenderer(Renderable renderer, java.awt.geom.Dimension2D elementDimension, java.awt.Color backcolor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.awt.Graphics2D` | `createGraphics(java.awt.image.BufferedImage bi)`
    `java.awt.Color` | `getBackcolor()`
    `java.awt.geom.Dimension2D` | `getDimension()` Deprecated. Replaced by `getDimension(JasperReportsContext)`.
    `java.awt.geom.Dimension2D` | `getDimension(JasperReportsContext jasperReportsContext)`
    `protected int` | `getImageDataDPI(JasperReportsContext jasperReportsContext)`
    `void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.
    `void` | `render(JasperReportsContext jasperReportsContext, java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractSvgRenderer

      `getImageData, getImageData, getImageType, getImageTypeValue, getType, getTypeValue`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer

      `getId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRWrappingSvgRenderer

          public JRWrappingSvgRenderer(Renderable renderer,
                               java.awt.geom.Dimension2D elementDimension,
                               java.awt.Color backcolor)

    - #### JRWrappingSvgRenderer

          public JRWrappingSvgRenderer(JRRenderable renderer,
                               java.awt.geom.Dimension2D elementDimension,
                               java.awt.Color backcolor)

      Deprecated. Replaced by `JRWrappingSvgRenderer(Renderable, Dimension2D, Color)`.

  - ### Method Detail

    - #### getDimension

          public java.awt.geom.Dimension2D getDimension(JasperReportsContext jasperReportsContext)

      Specified by:
        `getDimension` in interface `Renderable`
      Overrides:
        `getDimension` in class `JRAbstractSvgRenderer`

    - #### getDimension

          public java.awt.geom.Dimension2D getDimension()

      Deprecated. Replaced by `getDimension(JasperReportsContext)`.
      Specified by:
        `getDimension` in interface `JRRenderable`
      Overrides:
        `getDimension` in class `JRAbstractSvgRenderer`

    - #### getBackcolor

          public java.awt.Color getBackcolor()

      Overrides:
        `getBackcolor` in class `JRAbstractSvgRenderer`

    - #### render

          public void render(JasperReportsContext jasperReportsContext,
                    java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)
                      throws JRException

      Specified by:
        `render` in interface `Renderable`
      Overrides:
        `render` in class `JRAbstractRenderer`
      Throws:
        `JRException`

    - #### render

          public void render(java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)
                      throws JRException

      Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.
      Throws:
        `JRException`

    - #### getImageDataDPI

          protected int getImageDataDPI(JasperReportsContext jasperReportsContext)

      Overrides:
        `getImageDataDPI` in class `JRAbstractSvgRenderer`

    - #### createGraphics

          protected java.awt.Graphics2D createGraphics(java.awt.image.BufferedImage bi)

      Overrides:
        `createGraphics` in class `JRAbstractSvgRenderer`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com